Home//Internal Articles
Internal Articles
Introduction
Changelog (v2.14)
Intercom API
Admins
AI Content
Articles
Away Status Reasons
Calls
Companies
Contacts
Conversations
Custom Object Instances
Data Attributes
Data Events
Data Export
Fin Agent
Help Center
IP Allowlist
Jobs
Messages
News
Notes
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
Models
You can fetch a list of all internal articles by making a GET request to https://api.intercom.io/internal_articles.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
- The production API serverhttps://api.intercom.io/internal_articles
- The european API serverhttps://api.eu.intercom.io/internal_articles
- The australian API serverhttps://api.au.intercom.io/internal_articles
curl -i -X GET \
https://api.intercom.io/internal_articles \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.14'successful
pagesobject or null(Cursor based pages)
Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.
dataArray of objects(Internal Articles)
An array of Internal Article objects
Response
{ "type": "list", "pages": { "type": "pages", "page": 1, "per_page": 25, "total_pages": 1 }, "total_count": 1, "data": [ { … } ] }